fatbuild.sh: work around directory name change in Xcode 3.2. SDL-1.2
authorRyan C. Gordon <icculus@icculus.org>
Wed, 28 Oct 2009 19:42:16 +0000
branchSDL-1.2
changeset 4371 6f74b80cca1d
parent 4370 8d67936e32ec
child 4372 ca91f36ef3de
fatbuild.sh: work around directory name change in Xcode 3.2.
build-scripts/fatbuild.sh
--- a/build-scripts/fatbuild.sh	Thu Oct 22 04:53:44 2009 +0000
+++ b/build-scripts/fatbuild.sh	Wed Oct 28 19:42:16 2009 +0000
@@ -70,6 +70,17 @@
 CONFIG_X86="--build=`uname -p`-apple-darwin --host=i386-apple-darwin \
 --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
 
+# They changed this to "darwin10" in Xcode 3.2 (Snow Leopard).
+GCCUSRPATH="$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1"
+if [ ! -d "$GCCUSRPATH" ]; then
+    GCCUSRPATH="$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin10/4.0.1"
+fi
+
+if [ ! -d "$GCCUSRPATH" ]; then
+    echo "Couldn't find any GCC usr path"
+    exit 1
+fi
+
 # Intel compiler flags
 CC_X86="gcc-4.0 -arch i386"
 CXX_X86="g++-4.0 -arch i386"
@@ -77,12 +88,12 @@
 CPPFLAGS_X86="-DMAC_OS_X_VERSION_MIN_REQUIRED=1040 \
 -nostdinc \
 -F$SDK_PATH/MacOSX10.4u.sdk/System/Library/Frameworks \
--I$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1/include \
+-I$GCCUSRPATH/include \
 -isystem $SDK_PATH/MacOSX10.4u.sdk/usr/include"
 
 # Intel linker flags
 LFLAGS_X86="-Wl,-headerpad_max_install_names -arch i386 -mmacosx-version-min=10.4 \
--L$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1 \
+-L$GCCUSRPATH \
 -Wl,-syslibroot,$SDK_PATH/MacOSX10.4u.sdk"
 
 #